Bug 44558

Summary: cite attempted address when throwing "Cannot assign requested address"
Product: Tomcat 6 Reporter: Ralf Hauser <hauser>
Component: ConnectorsAssignee: Tomcat Developers Mailing List <dev>
Severity: normal CC: hauser
Priority: P2    
Version: 6.0.16   
Target Milestone: default   
Hardware: All   
OS: All   

Description Ralf Hauser 2008-03-07 07:41:10 UTC
SEVERE: Error starting endpoint
java.net.BindException: Cannot assign requested address:2217
        at org.apache.tomcat.util.net.JIoEndpoint.init(JIoEndpoint.java:501)
        at org.apache.tomcat.util.net.JIoEndpoint.start(JIoEndpoint.java:515)
        at org.apache.coyote.http11.Http11Protocol.start(Http11Protocol.java:203)
        at org.apache.catalina.connector.Connector.start(Connector.java:1131)
        at org.apache.catalina.core.StandardService.start(StandardService.java:531)
        at org.apache.catalina.core.StandardServer.start(StandardServer.java:710)
        at org.apache.catalina.startup.Catalina.start(Catalina.java:578)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

saying which address a bind was attempted for would accelerate the error resolution quite a bit!
Comment 1 Mark Thomas 2008-03-09 10:32:23 UTC
This has been fixed in trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2008-03-19 16:16:03 UTC
This is fixed in 6.0.x and will be in 6.0.17 omwards.
Comment 3 Ralf Hauser 2008-10-15 05:50:50 UTC
this is particularly important, since e.g. today's debian stable kernel upgrade failed to re-deploy secondary network addresses from my

 /etc/network/interfaces file

after re-boot.
Only a manual 

   sudo /etc/init.d/networking restart

fixed this.

Hard to detect unless tomcat tells you that despite you configuring it tries to bind to anyway...  :(
Comment 4 Ralf Hauser 2009-01-15 09:10:55 UTC
see also Bug 46461